View Issue Details

IDProjectCategoryLast Update
0020833AI War 2[All Projects] Bug - GameplayDec 16, 2018 12:23 pm
ReporterHeartHunter7Assigned ToBadgerBadger 
Severitymajor 
Status resolvedResolutionfixed 
Product Version0.804 Hack Me Quickly 
Fixed in Version0.809 Divide By Human 
Summary0020833: Reconquest Waves Don't Work
Description2)i played 2 hours, and never seen Reconquest wave.
TagsNo tags attached.

Relationships

child of 0020666 resolvedBadgerBadger AI getting free army+Reconquest doesnot work 

Activities

Dominus Arbitrationis

Dec 11, 2018 9:24 pm

administrator   ~0050597

If you force the wave points up high enough, it will spawn a Reconquest Wave, but seems to prefer to spend that budget elsewhere, and thus never spawns reconquest waves.

Dominus Arbitrationis

Dec 11, 2018 10:54 pm

administrator   ~0050598

It appears that SpecialForces and Reinforcements get the budget blown on them. I have attached a debug log that shows just how many times SpecialForces and Reinforcements were selected. The reconquest only appeared because I used the debug command to force the budget up. The planets that were targeted by the Reconquest waves were completely vacant, with no player ships located there.

ArcenDebugLog.txt (11,064 bytes)
12/11/2018 9:46:16 PM	AI Spending 58.859130859375 on  SpecialForces at  3603 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:46:19 PM	AI Spending 58.859130859375 on  SpecialForces at  3634 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:46:24 PM	AI Spending 58.859130859375 on  SpecialForces at  3665 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:46:26 PM	AI Spending 571.503173828125 on  Reinforcement at  3680 since we are over the spend threshold of 570
AI PerSecond trace ends
12/11/2018 9:46:27 PM	AI Spending 58.859130859375 on  SpecialForces at  3696 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:46:31 PM	AI Spending 58.859130859375 on  SpecialForces at  3727 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:46:31 PM	AI spending 648.255859375 on Wave at 3729. Next spend attempt at 4329Planning a wave with budget 648 isReconquestWave: False targetFaction: default onlyAttackIfStrongEnough False
Sending wave at 4658 (interval 929 current time 3729) and gving 929 seconds of advanced warning
Finding target planet
The AI owns the target planet (Alaspin), so threat fleet. Source planet Alaspin
Finding wave composition
Selecting composition for wavegetWaveComposition: budget: 648 no ships specified, and 1 different ship types desired
getWaveComposition: Adding AutocannonMinipod as a build choice for the incoming fleet. We have now chosen 0 of our max of 1 different ship types
Planned wave: AI Wave with  129 Autocannon Minipod squads (3870 ships) spawning on Alaspin then joining threat fleet in 15m 29s advance warning to give 929. strength of wave 645

AI PlanWave ends
12/11/2018 9:46:31 PM	
AI PerSecond trace ends
12/11/2018 9:46:34 PM	AI Spending 58.859130859375 on  SpecialForces at  3758 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:49:18 PM	AI Spending 58.859130859375 on  SpecialForces at  3789 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:49:21 PM	AI Spending 58.859130859375 on  SpecialForces at  3820 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:49:24 PM	AI Spending 58.859130859375 on  SpecialForces at  3851 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:49:27 PM	AI Spending 58.859130859375 on  SpecialForces at  3882 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:49:30 PM	AI Spending 58.859130859375 on  SpecialForces at  3913 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:49:33 PM	AI Spending 58.859130859375 on  SpecialForces at  3944 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:49:36 PM	AI Spending 58.859130859375 on  SpecialForces at  3975 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:49:39 PM	AI Spending 58.859130859375 on  SpecialForces at  4006 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:49:43 PM	AI Spending 58.859130859375 on  SpecialForces at  4037 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:49:46 PM	AI Spending 58.859130859375 on  SpecialForces at  4068 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:49:49 PM	AI Spending 58.859130859375 on  SpecialForces at  4099 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:49:52 PM	AI Spending 58.859130859375 on  SpecialForces at  4130 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:49:55 PM	AI Spending 58.859130859375 on  SpecialForces at  4161 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:49:58 PM	AI Spending 58.859130859375 on  SpecialForces at  4192 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:50:01 PM	AI Spending 58.859130859375 on  SpecialForces at  4223 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:50:04 PM	AI Spending 58.859130859375 on  SpecialForces at  4254 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:50:07 PM	AI Spending 58.859130859375 on  SpecialForces at  4285 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:50:11 PM	AI Spending 58.859130859375 on  SpecialForces at  4316 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:50:12 PM	AI spending 2259.68701171875 on Wave at 4330. Next spend attempt at 4930Planning a wave with budget 2259 isReconquestWave: False targetFaction: default onlyAttackIfStrongEnough False
Sending wave at 5259 (interval 929 current time 4330) and gving 929 seconds of advanced warning
Finding target planet
The AI owns the target planet (Anabas), so threat fleet. Source planet Anabas
Finding wave composition
Selecting composition for wavegetWaveComposition: budget: 2259 no ships specified, and 1 different ship types desired
getWaveComposition: Adding MLRSCorvette as a build choice for the incoming fleet. We have now chosen 0 of our max of 1 different ship types
Planned wave: AI Wave with  173 MLRS Corvette squads (519 ships) spawning on Anabas then joining threat fleet in 15m 29s advance warning to give 929. strength of wave 2249

AI PlanWave ends
12/11/2018 9:50:12 PM	
AI PerSecond trace ends
12/11/2018 9:50:14 PM	AI Spending 58.859130859375 on  SpecialForces at  4347 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:50:17 PM	AI Spending 58.859130859375 on  SpecialForces at  4378 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:50:20 PM	AI Spending 58.859130859375 on  SpecialForces at  4409 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:50:23 PM	AI Spending 58.859130859375 on  SpecialForces at  4440 since we are over the spend threshold of 57
AI PerSecond trace ends
12/11/2018 9:50:26 PM	AI Spending 59.576904296875 on  SpecialForces at  4471 since we are over the spend threshold of 58
AI PerSecond trace ends
12/11/2018 9:50:29 PM	AI Spending 59.918701171875 on  SpecialForces at  4502 since we are over the spend threshold of 58
AI PerSecond trace ends
12/11/2018 9:50:32 PM	AI Spending 59.918701171875 on  SpecialForces at  4533 since we are over the spend threshold of 58
AI PerSecond trace ends
12/11/2018 9:50:35 PM	AI Spending 581.834228515625 on  Reinforcement at  4564 since we are over the spend threshold of 580AI Spending 59.918701171875 on  SpecialForces at  4564 since we are over the spend threshold of 58
AI PerSecond trace ends
12/11/2018 9:50:38 PM	AI Spending 59.918701171875 on  SpecialForces at  4595 since we are over the spend threshold of 58
AI PerSecond trace ends
12/11/2018 9:50:42 PM	AI Spending 59.918701171875 on  SpecialForces at  4626 since we are over the spend threshold of 58
AI PerSecond trace ends
12/11/2018 9:50:43 PM	AI Spending 1143.03173828125 on  Reinforcement at  4638 since we are over the spend threshold of 580AI Spending 1023.1943359375 on  SpecialForces at  4638 since we are over the spend threshold of 58
AI PerSecond trace ends
12/11/2018 9:50:46 PM	AI Spending 582.2861328125 on  Reinforcement at  4664 since we are over the spend threshold of 580AI Spending 1050.25439453125 on  SpecialForces at  4664 since we are over the spend threshold of 58
AI PerSecond trace ends
12/11/2018 9:50:48 PM	AI Spending 1042.52294921875 on  Reinforcement at  4686 since we are over the spend threshold of 580AI Spending 1042.52294921875 on  SpecialForces at  4686 since we are over the spend threshold of 58
AI PerSecond trace ends
12/11/2018 9:50:49 PM	AI Spending 1019.32861328125 on  SpecialForces at  4696 since we are over the spend threshold of 58
AI PerSecond trace ends
12/11/2018 9:50:50 PM	AI Spending 1485.314453125 on  Reinforcement at  4704 since we are over the spend threshold of 580AI Spending 1015.462890625 on  SpecialForces at  4704 since we are over the spend threshold of 58
AI PerSecond trace ends
12/11/2018 9:50:50 PM	AI Spending 1013.53002929688 on  Reinforcement at  4711 since we are over the spend threshold of 580AI Spending 1013.53002929688 on  SpecialForces at  4711 since we are over the spend threshold of 58
AI PerSecond trace ends
12/11/2018 9:50:51 PM	AI Spending 824.992919921875 on  Reinforcement at  4719 since we are over the spend threshold of 580AI Spending 1015.462890625 on  SpecialForces at  4719 since we are over the spend threshold of 58
AI PerSecond trace ends
12/11/2018 9:50:52 PM	AI Spending 1009.66430664063 on  Reinforcement at  4724 since we are over the spend threshold of 580AI Spending 1009.66430664063 on  SpecialForces at  4724 since we are over the spend threshold of 58
AI PerSecond trace ends
12/11/2018 9:50:52 PM	At 4730 consider sending a reconquest wave with strength  9000 strength
12/11/2018 9:50:52 PM	AI Spending 1011.59716796875 on  Reinforcement at  4730 since we are over the spend threshold of 580AI Spending 1011.59716796875 on  SpecialForces at  4730 since we are over the spend threshold of 58AI Spending 9000 on  Reconquest at  4730 since we are over the spend threshold of 8464Planning a wave with budget 9000 isReconquestWave: True targetFaction: default onlyAttackIfStrongEnough True
Sending wave at 4850 (interval 120 current time 4730) and gving 120 seconds of advanced warning
Finding target planet
Determine wave type
Finding wave composition
Selecting composition for waveminimum required strength for reconquest wave: 3281 and budget 9000
getWaveComposition: budget: 3281 no ships specified, and 4 different ship types desired
getWaveComposition: Adding TractorGuardian as a build choice for the incoming fleet. We have now chosen 0 of our max of 4 different ship types
getWaveComposition: Adding ArmorShip as a build choice for the incoming fleet. We have now chosen 1 of our max of 4 different ship types
getWaveComposition: Adding TritiumSniperGuardian as a build choice for the incoming fleet. We have now chosen 2 of our max of 4 different ship types
getWaveComposition: Adding AutocannonMinipod as a build choice for the incoming fleet. We have now chosen 3 of our max of 4 different ship types
getWaveComposition: including a: Usurper of strength  2344 remaining budget after that: 937
Planned wave: AI Wave with  1 Usurper squads (1 ships),  2 Tractor Guardian squads (2 ships),  11 Autocannon Minipod squads (330 ships),  2 Vanguard squads (24 ships) spawning on Luxerion from warp gate on Kleene in 2m 0s.  This wave will allow the AI to recapture a planet. advance warning to give 120. strength of wave 3279

AI PlanWave ends
12/11/2018 9:50:52 PM	Sending a reconquest wave with 3279 strength
12/11/2018 9:50:52 PM	
AI PerSecond trace ends
12/11/2018 9:50:55 PM	AI Spending 59.918701171875 on  SpecialForces at  4761 since we are over the spend threshold of 58
AI PerSecond trace ends
ArcenDebugLog.txt (11,064 bytes)

BadgerBadger

Dec 12, 2018 9:03 am

manager   ~0050601

Reconquest waves will prefer the weakest planet, but they should be running more frequently.

RocketAssistedPuffin

Dec 12, 2018 9:15 am

developer   ~0050602

I did have a test of this last night. Reconquista AI, Diff 8, AIP 670, ran for over an hour with a totally undefended planet. Didn't send any.

BadgerBadger

Dec 12, 2018 9:21 am

manager   ~0050603

Try changing
        <budget_item type="Reconquest" seconds_between_attempts_to_spend="120" normal_menus_to_buy_from="BasicWaveDrawBag" guardian_menus_to_buy_from="BasicGuardianDrawBag" shield_guardian_menus_to_buy_from="BasicShieldGuardianDrawBag" dire_guardian_menus_to_buy_from="BasicDireGuardianDrawBag,BasicGolemDrawBag" spend_on_threshold="true"\
/>

to spend_on_threshold="false" in KDL_AITypes.xml and see what happens

RocketAssistedPuffin

Dec 16, 2018 12:23 pm

developer   ~0050614

This was fixed! Huzzah!

Issue History

Date Modified Username Field Change
Dec 11, 2018 9:08 pm Dominus Arbitrationis New Issue
Dec 11, 2018 9:08 pm Dominus Arbitrationis Status new => assigned
Dec 11, 2018 9:08 pm Dominus Arbitrationis Assigned To => x4000Bughunter
Dec 11, 2018 9:09 pm Dominus Arbitrationis Reporter Dominus Arbitrationis => HeartHunter7
Dec 11, 2018 9:09 pm Dominus Arbitrationis Relationship added child of 0020666
Dec 11, 2018 9:24 pm Dominus Arbitrationis Note Added: 0050597
Dec 11, 2018 10:54 pm Dominus Arbitrationis File Added: ArcenDebugLog.txt
Dec 11, 2018 10:54 pm Dominus Arbitrationis Note Added: 0050598
Dec 11, 2018 11:16 pm Dominus Arbitrationis Assigned To x4000Bughunter => BadgerBadger
Dec 12, 2018 9:03 am BadgerBadger Note Added: 0050601
Dec 12, 2018 9:15 am RocketAssistedPuffin Note Added: 0050602
Dec 12, 2018 9:21 am BadgerBadger Note Added: 0050603
Dec 16, 2018 12:23 pm RocketAssistedPuffin Status assigned => resolved
Dec 16, 2018 12:23 pm RocketAssistedPuffin Resolution open => fixed
Dec 16, 2018 12:23 pm RocketAssistedPuffin Fixed in Version => 0.809 Divide By Human
Dec 16, 2018 12:23 pm RocketAssistedPuffin Note Added: 0050614